Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003494Doomseeker[All Projects] Bugpublic2018-09-18 14:322018-12-22 09:51
Reporterintox8907 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOpenBSDOS Version6.4-current
Product Version1.1 
Target VersionFixed in Version 
Summary0003494: Master server connections timeout on OpenBSD (UDP packets not sent on Qt5)
DescriptionI have managed to successfully build and run Doomseeker, as well as Zandronum, on my OpenBSD machine. I would like to be able to play Doom online from this machine, but Doomseeker gives immediate timeout for all master servers. I cannot determine the problem. I have double checked my firewall and checked with people on #openbsd at irc.freenode.net, who were not sure what the exact cause could be. Everything works fine on a macbook on the same network.

Any tips? What other helpful information should I provide?

Thanks and best.
Steps To Reproduce
pkg_add qt5 cmake
export Qt5_DIR=/usr/local/lib/qt5/cmake/Qt5
cmake -DCMAKE_CXX_FLAGS='-I/usr/local/include' -DFORCE_QT4=NO $DOOMSEEKER_SRC # Build with Qt5
make -j4
Additional InformationNot reproducible with Qt4. In case of trouble with compiling, pay attention to "pkg_info qt4" and "pkg_info qt5" output.
Attached Filespng file icon 2018-09-19-143321_1280x745_scrot-75%.png [^] (137,195 bytes) 2018-09-19 14:35


? file icon doomseeker.pcap [^] (12,786 bytes) 2018-09-19 14:48
png file icon 2018-09-19-160156_1280x745_scrot-75%.png [^] (138,627 bytes) 2018-09-19 16:02


? file icon doomseeker_intox.pcap [^] (6,159 bytes) 2018-09-19 16:53
? file icon doomseeker_intox2.pcap [^] (236 bytes) 2018-09-19 17:00
png file icon 2018-09-21-134347_1280x745_scrot-75%.png [^] (218,822 bytes) 2018-09-21 13:45


png file icon 2018-12-22-104358_1920x1080_scrot.png [^] (987,564 bytes) 2018-12-22 09:47

- Relationships
child of 0003499confirmedWubTheCaptain Port Doomseeker to OpenBSD 

-  Notes
User avatar (0019545)
WubTheCaptain (developer)
2018-09-18 19:36
edited on: 2018-09-18 19:43

Please post stdout/stderr output. It should look something like this (terminal emulator):

$ /tmp/doomseeker/doomseeker
[19:42:14] Starting Doomseeker. Hello World! :)
[19:42:14] Setting up data directories.
[19:42:14] Cache directory: /home/wub/.cache/doomseeker
[19:42:14] Config directory: /home/wub/.config/doomseeker
[19:42:14] Data directory: /home/wub/.local/share/doomseeker
[19:42:14] Attempting to load plugins from directory: /home/wub/.local/share/doomseeker/engines
[19:42:14] Attempting to load plugins from directory: /tmp/doomseeker/engines
[19:42:14] Loaded plugin: "Chocolate Doom"!
[19:42:14] Loaded plugin: "Odamex"!
[19:42:14] Loaded plugin: "Sonic Robo Blast 2"!
[19:42:14] Loaded plugin: "Turok 2 Remaster"!
[19:42:14] Loaded plugin: "Zandronum"!
[19:42:14] Listening to Zandronum's LAN servers broadcasts on port 15101.
[19:42:14] Initializing configuration file.
[19:42:14] Setting INI file: /home/wub/.config/doomseeker/doomseeker.ini
[19:42:14] Loading translations definitions
[19:42:14] Reading localizations definitions file: translations.def
[19:42:14] Initializing IP2C database.
[19:42:14] Initializing passwords configuration file.
[19:42:14] Initializing configuration for plugins.
[19:42:14] Initializing IRC configuration file.
[19:42:14] Setting IRC INI file: /home/wub/.config/doomseeker/doomseeker-irc.ini
[19:42:14] Starting refreshing thread.
[19:42:14] Preparing GUI.
[19:42:15] Please wait. IP2C database is being read. This may take some time.
[19:42:15] Parsing IP2C database: /home/wub/.local/share/doomseeker/IpToCountry.dat
[19:42:15] Init finished.
================================
[19:42:15] Total refresh initialized!
[19:42:15] IP2C database read in 187 ms. Entries read: 158337
[19:42:15] IP2C parsing thread has finished.
[19:42:15] IP2C parsing finished.
[19:42:18] Finished refreshing. Servers on the list: 514 (+1 custom, +0 LAN). Players: 94.


User avatar (0019549)
WubTheCaptain (developer)
2018-09-18 21:58

It seems I also cannot build Doomseeker 1.1 or 1.2 from source on OpenBSD 6.4-current with neither Qt4 or Qt5 despite spending few hours of effort into it, so I can't be much of help here to attempt to reproduce this myself.
User avatar (0019552)
intox8907 (reporter)
2018-09-18 23:46
edited on: 2018-09-19 01:21

Oh, god! I'm very sorry. I didn't want anyone to spend hours trying to just compile it! I should have made clear the steps... Thanks for taking the care, though.

One of the main things to get it to compile is that OpenBSD installs the Qt libraries in a non-standard location. In addition, the bzlib.h that you get from the package manager is installed to /usr/local/include by default, which isn't being cached in a build variable by CMake, even though it registers the system bzip2 library when preparing the Makefile. Anyway, to get it to build successfully, I had to do the following:

```
export Qt5Widgets_DIR=/usr/local/lib/qt5/cmake/Qt5Widgets/
export Qt5LinguistTools_DIR=/usr/local/lib/qt5/cmake/Qt5LinguistTools/
export Qt5Multimedia_DIR=/usr/local/lib/qt5/cmake/Qt5Multimedia
export Qt5Xml_DIR=/usr/local/lib/qt5/cmake/Qt5Xml
export CPATH=$CPATH:/usr/local/include
cmake ..
CXX=clang++ CC=clang make
```

and then it worked fine. There's probably better ways of doing all this, but I don't have much experience with Qt, CMake, and C++. Also, you probably don't need the ```CXX=clang++ CC=clang``` part (I just checked; you don't need it), but I have had less problems with clang when compiling on OpenBSD, and it didn't matter for me if I used Make or GMake. In case CMake complains about any other missing elements, let me know, and I can tell you the other libraries I have installed from the package manager.

Anyway, here is the stderr/stdout from a run of Doomseeker on my system:

```
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-me'
[01:44:23] Starting Doomseeker. Hello World! :)
[01:44:23] Setting up data directories.
[01:44:23] Cache directory: /home/me/.cache/doomseeker
[01:44:23] Config directory: /home/me/.config/doomseeker
[01:44:23] Data directory: /home/me/.local/share/doomseeker
[01:44:23] Attempting to load plugins from directory: /home/me/.local/share/doomseeker/engines
[01:44:23] Attempting to load plugins from directory: /home/me/doom/doomseeker/build/engines
[01:44:23] Loaded plugin: "Chocolate Doom"!
[01:44:23] Loaded plugin: "Odamex"!
[01:44:23] Loaded plugin: "Sonic Robo Blast 2"!
[01:44:23] Loaded plugin: "Turok 2 Remaster"!
[01:44:23] Loaded plugin: "Zandronum"!
[01:44:23] Listening to Zandronum's LAN servers broadcasts on port 15101.
[01:44:23] Initializing configuration file.
[01:44:23] Setting INI file: /home/me/.config/doomseeker/doomseeker.ini
[01:44:23] Loading translations definitions
[01:44:23] Reading localizations definitions file: translations.def
[01:44:23] Initializing IP2C database.
[01:44:23] Initializing passwords configuration file.
[01:44:23] Initializing configuration for plugins.
[01:44:23] Initializing IRC configuration file.
[01:44:23] Setting IRC INI file: /home/me/.config/doomseeker/doomseeker-irc.ini
[01:44:23] Starting refreshing thread.
[01:44:23] Preparing GUI.
[01:44:23] IRC: Connecting: irc.quakenet.org:6667
[01:44:23] Checking if IP2C database at '/home/me/.local/share/doomseeker/IpToCountry.dat' needs updating.
[01:44:23] Please wait. IP2C database is being read. This may take some time.
[01:44:23] Parsing IP2C database: /home/me/.local/share/doomseeker/IpToCountry.dat
[01:44:23] Init finished.
================================
[01:44:23] Total refresh initialized!
[01:44:23] IP2C database read in 412 ms. Entries read: 175445
[01:44:23] IP2C parsing thread has finished.
[01:44:23] IP2C parsing finished.
[01:44:24] Comparing IP2C hashes: local = 26b3c8b146121177a83e4a51ab7c3eec, remote = 26b3c8b146121177a83e4a51ab7c3eec
[01:44:24] IP2C update not needed.
[01:44:32] IRC: Successfully registered on network Odamex [irc.quakenet.org:6667]
[01:44:32] IRCNetworkAdapter::getOrCreateNewChatAdapter() Creating new adapter for recipient: #odamex
[01:44:34] Error: Master server for Odamex: Connection timeout (66.135.63.19:15000).
[01:44:34] Error: Master server for Turok 2 Remaster: Connection timeout (52.89.185.19:20700).
[01:44:34] Error: Master server for Zandronum: Connection timeout (45.56.67.39:15300).
[01:44:34] Error: Master server for Chocolate Doom: Connection timeout (178.79.130.180:2342).
[01:44:34] Finished refreshing. Servers on the list: 15 (+0 custom, +0 LAN). Players: 0.
```

User avatar (0019553)
WubTheCaptain (developer)
2018-09-19 11:03

Quote from intox8907
Oh, god! I'm very sorry. I didn't want anyone to spend hours trying to just compile it! I should have made clear the steps...


Don't worry, I've been wanting to build and use Doomseeker on OpenBSD for a while now. Helps with ticket 0003496.

I'll try to reproduce your issue later today.
User avatar (0019555)
WubTheCaptain (developer)
2018-09-19 13:33
edited on: 2018-09-19 14:11

Confirmed and reproducible in my QEMU KVM virtual machine on OpenBSD 6.4-current guest. Similarly to OP, only SRB2 servers are reachable from the master server but the others aren't. The host machine is Debian GNU/Linux buster/sid. (Unfortunately my OpenBSD laptop is out of service, so I'm unable to test on bare metal hardware at the moment.)

#!/bin/sh
qemu-system-x86_64 -m 4096 -drive if=virtio,file=openbsd.img,format=raw \
  -cdrom cd64.iso -enable-kvm -smp 4 \
  -nic user,model=virtio


User avatar (0019556)
WubTheCaptain (developer)
2018-09-19 14:13

Interestingly, server names for the 10 or so SRB2 servers also say <NO RESPONSE> on the guest. (Notice I'm using user mode networking on the guest, no TAP or any of that.)
User avatar (0019557)
WubTheCaptain (developer)
2018-09-19 14:43

Networking thread hangs in this OpenBSD guest when I try to close Doomseeker. I have to press Ctrl+C to forcefully close Doomseeker completely.
User avatar (0019558)
WubTheCaptain (developer)
2018-09-19 15:00

I've also verified this is not an issue with pf, as I disabled the pf firewall with "pfctl -d" before trying again.
User avatar (0019559)
WubTheCaptain (developer)
2018-09-19 15:00

And both the guest and hosts are IPv4-only, fyi.
User avatar (0019560)
intox8907 (reporter)
2018-09-19 15:28
edited on: 2018-09-19 15:33

Networking thread doesn't hang here. Doomseeker quits cleanly, so that might be emulator related. I also did some tests of my firewall and found that it is unlikely to be the source of the problem. Some of the people on #openbsd suspected it might be due to the transaction being UDP, but that was just a suspicion. They weren't fully sure. I tried doing some tests with netcat:

```
echo "request" | nc -u 45.56.67.39 15300 > response.txt
```

or

```
echo "request" | nc -u 45.56.67.39 15300 | tee response.txt
```

but both just hang. However, I get the same hanging on my Mac, where Doomseeker works fine, so I probably just don't know the initial command that the server is expecting. I tried looking through the source code quickly, but couldn't find anything relevant. Just starting a UDP session via netcat and hitting Enter a few times does nothing either. I can of course ping the server and get a response.

User avatar (0019561)
WubTheCaptain (developer)
2018-09-19 15:34

Affects Doomseeker 1.1+0730f71a8c12, same issue there.

Also fyi that OpenBSD ships with zlib 1.2.3 in base system, which is older.
User avatar (0019562)
intox8907 (reporter)
2018-09-19 15:34
edited on: 2018-09-19 15:39

I also received the suggestion of starting up the UDP transaction and then monitoring it via tcpdump, but I haven't done something like this before, so I will need to read a bit first.

EDIT: Oh, I see you have uploaded a pcap file, so you have already tried this.

User avatar (0019563)
WubTheCaptain (developer)
2018-09-19 15:36

Quote from intox8907
I also received the suggestion of starting up the UDP transaction and then monitoring it via tcpdump, but I haven't done something like this before, so I will need to read a bit first.


This was done, see doomseeker.pcap attachment. You can open it with Wireshark.
User avatar (0019564)
WubTheCaptain (developer)
2018-09-19 15:48
edited on: 2018-09-19 15:48

Quote from WubTheCaptain
This was done, see doomseeker.pcap attachment. You can open it with Wireshark.


And I mean by looks of it, Doomseeker is sending UDP packets to the affected master servers but not receiving any from it (see the PCAP). I suspected first pf blocking stateless traffic first would've been the cause, but it isn't.

Meanwhile receiving DNS packets (UDP) works just fine.

User avatar (0019565)
WubTheCaptain (developer)
2018-09-19 16:02

Quote from WubTheCaptain
Also fyi that OpenBSD ships with zlib 1.2.3 in base system, which is older.


Apparently not a zlib/bzip2 issue either. Forcing internal bzip2 and zlib (cmake -DFORCE_INTERNAL_ZLIB=YES -DFORCE_INTERNAL_BZIP2=YES) and verifying those were used didn't make a difference on Doomseeker 1.1+0730f71a8c12 or Doomseeker 1.2-beta-180915-0824.

(BZIP2 probably isn't even used for the connection, but zlib might be with my best guess. Probably more related to Wadseeker and compressed tarball/zip downloads, though. I didn't read the code.)
User avatar (0019566)
WubTheCaptain (developer)
2018-09-19 16:14
edited on: 2018-09-19 16:19

Actually, I don't see any UDP requests (or TCP) going to the failing master servers in that doomseeker.pcap. tcpdump verifies this:

$ doas tcpdump -s 65535 -i vio0
tcpdump: listening on vio0, link-type EN10MB

^C
0 packets received by filter
0 packets dropped by kernel


And yes, I refreshed/sent a query to the master server and disabled querying SRB2.

User avatar (0019567)
intox8907 (reporter)
2018-09-19 16:52

I see now how to use tcpdump. I set Doomseeker to only query the Zandronum master server, to clear up any noise. My copy is sending UDP packets, it seems. Uploading a binary file from tcpdump now. I get this upon killing tcpdump:

22 packets received by filter
0 packets dropped by kernel
User avatar (0019568)
WubTheCaptain (developer)
2018-09-19 16:55
edited on: 2018-09-19 16:55

intox8907: Please write the tcpdump output to a file and attach the PCAP:

doas tcpdump -s 65535 -w /tmp/doomseeker.pcap


I suspect some might be noise like NTP. (There's also "-n udp" to restrict tcpdump to only capture UDP packets, and "port not ntp" to excluse NTP traffic for example.)

EDIT: Ah, already done.

User avatar (0019569)
intox8907 (reporter)
2018-09-19 16:59

Ok, I re-did it as you suggested. I now get 20 packets received by filter and 0 packets dropped by kernel. Uploading the file from tcpdump now.
User avatar (0019570)
WubTheCaptain (developer)
2018-09-19 16:59
edited on: 2018-09-19 17:01

doomseeker_intox.pcap shows the same issue. No packets go out to master server, such as zandronum.com (45.56.67.39:15300).

  1. UDP packets are sent to DNS servers and received to resolve master.zandronum.com and doomseeker.drdteam.org hostnames to IPs.
  2. Doomseeker starts HTTP and HTTPS handshakes with doomseeker.drdteam.org to check for IP2C update.
  3. TCP connection to doomseeker.drdteam.org gets reset as the request is completed.


There's nothing more tcpdump can do here; It's a bug in Doomseeker (or Qt5) for sure.

User avatar (0019571)
intox8907 (reporter)
2018-09-19 17:01

Okay, I see. Thanks for translating that for me. I know next to nothing about networking.
User avatar (0019572)
WubTheCaptain (developer)
2018-09-19 17:12
edited on: 2018-09-19 17:14

I also went as far as manually patching Doomseeker 1.1 source with strings.h → strings.hpp to get the 1.1 release compile on newer glibc 2.26+ (essentially only adding commit 0730f71a8c12 to it), and the issue is there too. In other words, both 1.1 release and 1.1+0730f71a8c12 up until latest 1.2~beta have the issue – this issue is not recent.

I have no idea what causes it, though. Maybe Zalewa or Blutz3 can shed light on the issue, seeing they've wrote the plugin code and do far better job than me with debuggers like gdb.

User avatar (0019579)
intox8907 (reporter)
2018-09-20 15:56

I checked out the 1.1-p1 tag from the Mercurial repository, installed Qt4 and used the FORCE_QT4 CMake option. Doomseeker compile successfully and now registers successfully with the master servers, so it is probably a Qt5 problem.
User avatar (0019580)
intox8907 (reporter)
2018-09-20 16:11

Confirmed that using latest checkout of Doomseeker 1.2~beta and using the FORCE_QT4 CMake option also fixes the problem. There is one bit though:

```
/home/me/doom/doomseeker/src/core/localizationinfo.cpp:75:23: error: calling
      'split' with incomplete return type 'QStringList'
        else if (localeName1.split("_")[0].compare(localeName2.split("_"...
                 ~~~~~~~~~~~~^~~~~~~~~~
/usr/local/include/X11/qt4/QtCore/qstring.h:301:17: note: 'split' declared here
    QStringList split(const QString &sep, SplitBehavior behavior = KeepE...
                ^
/usr/local/include/X11/qt4/QtCore/qstring.h:77:7: note: forward declaration of
      'QStringList'
class QStringList;
      ^
/home/me/doom/doomseeker/src/core/localizationinfo.cpp:75:57: error: calling
      'split' with incomplete return type 'QStringList'
        else if (localeName1.split("_")[0].compare(localeName2.split("_")[0], Qt...
                                                   ~~~~~~~~~~~~^~~~~~~~~~
/usr/local/include/X11/qt4/QtCore/qstring.h:301:17: note: 'split' declared here
    QStringList split(const QString &sep, SplitBehavior behavior = KeepE...
                ^
/usr/local/include/X11/qt4/QtCore/qstring.h:77:7: note: forward declaration of
      'QStringList'
class QStringList;
      ^
2 errors generated.
```

I don't need any localization on my machine right now, so I commented out that problematic line. Complied fine after that.
User avatar (0019584)
intox8907 (reporter)
2018-09-20 16:52

Just to be clear, I did this:

```
CXX=clang++ CC=clang cmake -DFORCE_QT4=YES ..
CXX=clang++ CC=clang gmake -j2
./doomseeker
```

People on OpenBSD's IRC channel recommended sticking with clang over gcc, so I tried to force it at each step, as you can see, just to be safe.
User avatar (0019591)
WubTheCaptain (developer)
2018-09-21 13:31

Quote from intox8907
Confirmed that using latest checkout of Doomseeker 1.2~beta and using the FORCE_QT4 CMake option also fixes the problem. There is one bit though:

```
/home/me/doom/doomseeker/src/core/localizationinfo.cpp:75:23: error: calling
      'split' with incomplete return type 'QStringList'


Ticket 0003502.
User avatar (0019592)
WubTheCaptain (developer)
2018-09-21 13:36

Quote from intox8907
I checked out the 1.1-p1 tag from the Mercurial repository, installed Qt4 and used the FORCE_QT4 CMake option. Doomseeker compile successfully and now registers successfully with the master servers, so it is probably a Qt5 problem.


Ditto, I've reproduced this on latest Doomseeker 1.2~beta-180920-2148 (7a5abe18789f, revision 1537480097). Qt4 works, Qt5 doesn't.
User avatar (0019831)
WubTheCaptain (developer)
2018-09-29 16:11

I'm suspicious of 0003376.
User avatar (0020278)
Filystea (reporter)
2018-12-22 09:46
edited on: 2018-12-22 09:51

Works for me. Uploaded image even.

Also playing without sound sucks dicks.


EDIT:
Sorry
Did not read whole discussion so yeah seems you repaired it in process.


Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-09-18 14:32 intox8907 New Issue
2018-09-18 19:36 WubTheCaptain Note Added: 0019545
2018-09-18 19:36 WubTheCaptain Status new => feedback
2018-09-18 19:37 WubTheCaptain Product Version => 1.2
2018-09-18 19:38 WubTheCaptain Priority high => normal
2018-09-18 19:42 WubTheCaptain Note Edited: 0019545 View Revisions
2018-09-18 19:43 WubTheCaptain Note Edited: 0019545 View Revisions
2018-09-18 21:58 WubTheCaptain Note Added: 0019549
2018-09-18 23:46 intox8907 Note Added: 0019552
2018-09-18 23:46 intox8907 Status feedback => new
2018-09-18 23:47 intox8907 Note Edited: 0019552 View Revisions
2018-09-19 00:00 intox8907 Note Edited: 0019552 View Revisions
2018-09-19 00:00 intox8907 Note Edited: 0019552 View Revisions
2018-09-19 01:21 intox8907 Note Edited: 0019552 View Revisions
2018-09-19 11:03 WubTheCaptain Note Added: 0019553
2018-09-19 11:03 WubTheCaptain Assigned To => WubTheCaptain
2018-09-19 11:03 WubTheCaptain Status new => acknowledged
2018-09-19 11:10 WubTheCaptain OS Version -current => 6.4-current
2018-09-19 13:33 WubTheCaptain Note Added: 0019555
2018-09-19 13:33 WubTheCaptain Assigned To WubTheCaptain =>
2018-09-19 13:33 WubTheCaptain Status acknowledged => confirmed
2018-09-19 13:35 WubTheCaptain Note Edited: 0019555 View Revisions
2018-09-19 14:11 WubTheCaptain Note Edited: 0019555 View Revisions
2018-09-19 14:13 WubTheCaptain Note Added: 0019556
2018-09-19 14:14 WubTheCaptain File Added: 2018-09-19-141241_1280x745_scrot-75%.png
2018-09-19 14:32 WubTheCaptain File Deleted: 2018-09-19-141241_1280x745_scrot-75%.png
2018-09-19 14:35 WubTheCaptain File Added: 2018-09-19-143321_1280x745_scrot-75%.png
2018-09-19 14:43 WubTheCaptain Note Added: 0019557
2018-09-19 14:48 WubTheCaptain File Added: doomseeker.pcap
2018-09-19 15:00 WubTheCaptain Note Added: 0019558
2018-09-19 15:00 WubTheCaptain Note Added: 0019559
2018-09-19 15:28 intox8907 Note Added: 0019560
2018-09-19 15:33 intox8907 Note Edited: 0019560 View Revisions
2018-09-19 15:34 WubTheCaptain Note Added: 0019561
2018-09-19 15:34 intox8907 Note Added: 0019562
2018-09-19 15:34 WubTheCaptain Product Version 1.2 => 1.1
2018-09-19 15:36 WubTheCaptain Note Added: 0019563
2018-09-19 15:39 intox8907 Note Edited: 0019562 View Revisions
2018-09-19 15:48 WubTheCaptain Note Added: 0019564
2018-09-19 15:48 WubTheCaptain Note Edited: 0019564 View Revisions
2018-09-19 16:02 WubTheCaptain Note Added: 0019565
2018-09-19 16:02 WubTheCaptain File Added: 2018-09-19-160156_1280x745_scrot-75%.png
2018-09-19 16:05 WubTheCaptain Summary Doomseeker 1.2-beta-180915-0824 - Immediate Connection Timeout when contacting master servers => Master server connections timeout on OpenBSD (UDP packets not received)
2018-09-19 16:14 WubTheCaptain Note Added: 0019566
2018-09-19 16:16 WubTheCaptain Note Edited: 0019566 View Revisions
2018-09-19 16:19 WubTheCaptain Note Edited: 0019566 View Revisions
2018-09-19 16:21 WubTheCaptain Summary Master server connections timeout on OpenBSD (UDP packets not received) => Master server connections timeout on OpenBSD (UDP packets not sent)
2018-09-19 16:52 intox8907 Note Added: 0019567
2018-09-19 16:53 intox8907 File Added: doomseeker_intox.pcap
2018-09-19 16:55 WubTheCaptain Note Added: 0019568
2018-09-19 16:55 WubTheCaptain Note Edited: 0019568 View Revisions
2018-09-19 16:59 intox8907 Note Added: 0019569
2018-09-19 16:59 WubTheCaptain Note Added: 0019570
2018-09-19 17:00 WubTheCaptain Note Edited: 0019570 View Revisions
2018-09-19 17:00 intox8907 File Added: doomseeker_intox2.pcap
2018-09-19 17:01 WubTheCaptain Note Edited: 0019570 View Revisions
2018-09-19 17:01 intox8907 Note Added: 0019571
2018-09-19 17:12 WubTheCaptain Note Added: 0019572
2018-09-19 17:13 WubTheCaptain Note Edited: 0019572 View Revisions
2018-09-19 17:14 WubTheCaptain Note Edited: 0019572 View Revisions
2018-09-19 17:34 WubTheCaptain Relationship added child of 0003499
2018-09-20 15:56 intox8907 Note Added: 0019579
2018-09-20 16:11 intox8907 Note Added: 0019580
2018-09-20 16:52 intox8907 Note Added: 0019584
2018-09-21 13:31 WubTheCaptain Note Added: 0019591
2018-09-21 13:36 WubTheCaptain Note Added: 0019592
2018-09-21 13:42 WubTheCaptain Summary Master server connections timeout on OpenBSD (UDP packets not sent) => Master server connections timeout on OpenBSD (UDP packets not sent on Qt5)
2018-09-21 13:42 WubTheCaptain Steps to Reproduce Updated View Revisions
2018-09-21 13:42 WubTheCaptain Additional Information Updated View Revisions
2018-09-21 13:45 WubTheCaptain File Added: 2018-09-21-134347_1280x745_scrot-75%.png
2018-09-23 01:13 WubTheCaptain Steps to Reproduce Updated View Revisions
2018-09-23 01:13 WubTheCaptain Steps to Reproduce Updated View Revisions
2018-09-29 16:11 WubTheCaptain Note Added: 0019831
2018-12-22 09:46 Filystea Note Added: 0020278
2018-12-22 09:47 Filystea File Added: 2018-12-22-104358_1920x1080_scrot.png
2018-12-22 09:51 Filystea Note Edited: 0020278 View Revisions
2018-12-22 09:51 Filystea Note Edited: 0020278 View Revisions






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker